<?php
namespace WebDB92\Sample;

use GuzzleHttp;

error_reporting(-1);

if (file_exists(__DIR__ . '/vendor/autoload.php')) {
    require __DIR__ . '/vendor/autoload.php';
} else {
    echo 'Composerがインストールされていません', PHP_EOL, PHP_EOL;
    echo ' 1. https://getcomposer.org/ から composer.phar を入手', PHP_EOL;
    echo ' 2. composer install コマンドを実行', PHP_EOL;
    exit(1);
}

fwrite(STDERR, 'GuzzleライブラリでHTTPリクエストを行います' . PHP_EOL);

$client = new GuzzleHttp\Client;



// GETリクエストの例
$query = [
    'fizz' => 'buzz',
    'ほげ' => 'ふが',
];
$get_url = 'http://httpbin.org/get?' . http_build_query($query);
fwrite(STDERR, PHP_EOL . "GET  ${get_url}". PHP_EOL);
$res = $client->get('http://httpbin.org/get', [
    'query' => $query,
]);

var_dump(json_decode($res->getBody(), true));
echo PHP_EOL;


// POSTリクエストの例
$post_url = 'http://httpbin.org/post';
$form = [
    'fizz' => 'buzz',
    'ほげ' => 'ふが',
];

fwrite(STDERR, "POST {$post_url}". PHP_EOL);
$res = $client->post('http://httpbin.org/post', [
    'form' => $form,
]);
var_dump(json_decode($res->getBody(), true));
echo PHP_EOL;
